<?php
/**
 * Map モジュール
 */
require_once 'Zend/Db.php';
require_once 'Zend/Db/Table.php';
require_once 'Platy/Module.php';
require_once 'Platy/SystemDB.php';
require_once 'Platy/Form.php';

class Platy_Module_Map extends Platy_Module
{
    public function install() {
        // メニューアイテム追加
        $item = array('bar'=>'global', 'type'=>'module', 'title'=>'マップ', 'module_name'=>'Map', 'module_param' => '');
        addToMenu($item);
        return true;
    }
    
    public function uninstall() { return true; }
    
    public function getName()
    {
        return 'Map';
    }
    
    public function getTitle()
    {
        return 'コンテンツ地図';
    }
    
    public function getSummary()
    {
        return 'コンテンツ地図';
    }
    
    public function getAuthor()
    {
        return 'Teruki Hosokawa';
    }
}
?>